"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var run_1 = require("./run");
var Script = /** @class */ (function () {
    function Script(bot) {
        this.bot = bot;
    }
    Script.prototype.execute = function (options) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var runnable = new run_1.Runnable(_this.bot, options);
            runnable.run(options.data).then(function (data) {
                resolve(Array.isArray(data || []) ? data : [data]);
            }, function (err) {
                reject(err);
            });
        });
    };
    return Script;
}());
exports.Script = Script;
